/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.guavapartitioning;

import com.google.common.collect.Lists;
import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.IntStream;

/**
 *
 * @author omozegieaziegbe
 */
public class GuavaPartitioning {

    public static void main(String[] args) {
        List<Integer> numbers = IntStream.rangeClosed(1, 10)
                                         .boxed()
                                         .collect(Collectors.toList());

        // Define the partition size
        int partitionSize = 3;

        // Partition the stream using Guava
        List<List<Integer>> partitions = Lists.partition(numbers, partitionSize);

        // Print each partition
        partitions.forEach(System.out::println);
    }
    
}
